﻿Partial Class frmLogIn
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load

        If Not Page.IsPostBack Then

            setDate()

            Me.litErrorMessage.Text = "&nbsp;"

            Session("loggedIn") = ""

        End If

    End Sub

    Protected Sub setDate()

        Dim myDate As Date
        myDate = Now()
        Me.litDate.Text = FormatDateTime(myDate, 2)

    End Sub

    Protected Sub btnLogIn_Click(ByVal sender As Object, ByVal e As Infragistics.WebUI.WebDataInput.ButtonEventArgs) Handles btnLogIn.Click

        Dim myUsername As String = Trim(Me.txtUsername.Text)
        Dim myPassword As String = Trim(Me.txtPassword.Text)

        Dim myconnstr As String = ConfigurationManager.ConnectionStrings("netpractisewebsiteConnectionString").ToString
        Dim myconn As New SqlConnection(myconnstr)
        Dim mycmd As New SqlCommand("sprocGetUsernameAndPasswordForLogin", myconn)
        mycmd.CommandType = Data.CommandType.StoredProcedure
        mycmd.Parameters.AddWithValue("@myUsername", myUsername)
        mycmd.Parameters.AddWithValue("@myPassword", myPassword)
        myconn.Open()
        Dim myreader As SqlDataReader = mycmd.ExecuteReader()
        If myreader.HasRows Then
            myreader.Read()
            Session("loggedIn") = myreader!userName.ToString
            Session("isAdmin") = CLng(myreader!userIsAdmin.ToString)
            Response.Redirect("./frmStatus.aspx")
            Response.End()
        Else
            Me.txtUsername.BackColor = Drawing.Color.Red
            Me.txtUsername.ForeColor = Drawing.Color.White
            Me.litErrorMessage.Text = "Invalid Log In Details"
        End If
        myreader.Read()
        myreader.Close()
        myconn.Close()

    End Sub

End Class
